﻿using Microsoft.Xna.Framework;


namespace KineBall.GameLogic
{
    public class Shield
    {
        private Vector3 _position;

        public Vector3 position
        {
            get
            {
                return _position;
            }

            set
            {
                _position = value;
                Vector3 min = new Vector3(_position.X - (Width * 0.5f), _position.Y - (Height * 0.5f), _position.Z);
                Vector3 max = new Vector3(_position.X + (Width * 0.5f), _position.Y + (Height * 0.5f), _position.Z);
                _boundingBox = new BoundingBox(min, max);
            }
        }

        public float Width { get; set; }
        public float Height { get; set; }

        public int Score { get; set; }

        private BoundingBox _boundingBox;
        public BoundingBox BoundingBox { get { return _boundingBox; } }
        public Vector3 Velocity { get; set; }
    }
}
